> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/graphql/data-access/enumerations/access-control-state.md).

# AccessControlState

The possible states an access control can be in.

```graphql
enum AccessControlState {
  Active
  Deleted
  Inactive
}
```

### Values

#### Active <a href="#active" id="active"></a>

This access control is active and so will be synced to or from the underlying system.

#### Deleted <a href="#deleted" id="deleted"></a>

This access control is deleted and, once synced to the underlying system, it will be automatically deleted with a 48 hour delay.

#### Inactive <a href="#inactive" id="inactive"></a>

This access control is not active and so will not be synced to the underlying system (removed if it was synced before).

### Member Of

[`AccessControl`](/api/graphql/data-access/object-types/access-control.md) object ● [`AccessControlFilterInput`](/api/graphql/data-access/input-types/access-control-filter-input.md) input ● [`AccessControlForDataObjectFilterInput`](/api/graphql/data-access/input-types/access-control-for-data-object-filter-input.md) input ● [`AccessControlForUserFilterInput`](/api/graphql/data-access/input-types/access-control-for-user-filter-input.md) input ● [`AccessControlInput`](/api/graphql/data-access/input-types/access-control-input.md) input ● `AccessControlRevision` object ● [`AccessControlWhoListFilter`](/api/graphql/data-access/input-types/access-control-who-list-filter.md) input ● [`AccessFilterInput`](/api/graphql/data-access/input-types/access-filter-input.md) input ● [`DuplicateAccessControlInput`](/api/graphql/data-access/input-types/duplicate-access-control-input.md) input ● `ModifiedAccessControlState` object


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/api/graphql/data-access/enumerations/access-control-state.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
